package danielcortes.xyz.models.tipo_egreso;

import java.util.Objects;

public class TipoEgreso {
  public final static TipoEgreso EMPTY;

  static {
    EMPTY = new TipoEgreso();
    EMPTY.setNombre("EMPTY");
  }

  private int id;
  private String nombre;

  public TipoEgreso(int id, String nombre) {
    this.id = id;
    this.nombre = nombre;
  }

  public TipoEgreso(String nombre) {
    this.nombre = nombre;
  }

  public TipoEgreso() {
  }

  public String getNombre() {
    return nombre;
  }

  public void setNombre(String nombre) {
    this.nombre = nombre;
  }

  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  @Override
  public String toString() {
    return "TipoEgreso{" +
        "id=" + id +
        ", nombre='" + nombre + '\'' +
        '}';
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (!(o instanceof TipoEgreso)) {
      return false;
    }
    TipoEgreso that = (TipoEgreso) o;
    return id == that.id &&
        Objects.equals(nombre, that.nombre);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, nombre);
  }
}
